<?php
session_start();

header('Content-Type: text/html; charset=UTF-8');

require_once './common/server/php/settings.php';
require_once FLASHCOMS_ROOT.'common/server/php/core/core.php';
require_once FLASHCOMS_ROOT.'common/server/php/core/selftest.class.php';
require_once FLASHCOMS_ROOT.'common/server/php/core/db.class.php';

function RenderPage()
{
    switch (getInputParam("action"))
    {
        case 'videochat':            showVideochat();            break;
        case 'videochatEmbedded':    showVideochatEmbedded();    break;
        case 'chat':                 showChat();                 break;
        case 'chatEmbedded':         showChatEmbedded();         break;
        case 'communicator':         showCommunicator();         break;
        case 'messenger':            showMessenger();            break;
        case 'recorder':             showRecorder();             break;
        case 'siteMail':             showSiteMail();             break;
        case 'siteMailEmbedded':     showSiteMailEmbedded();     break;
        case 'updaterDemo':          showUpdaterDemo();          break;
        case 'minichat':             showMinichat();             break;
		case 'broadcasting':             showBroadcasting();         break;
        default:                     showIndex();
    }
}
function showIndex()
{
    ?>
    <div class="center" style="padding:30px">
    <font style="font-size:13px;color:#336699;font-weight:bold;">Please select the application you wish to test from the menu on the left.</font>
    </div>
    <?php
}

//// Videochat ////
function showVideochat()
{
    $roomId = getInputParam("roomId");
    $uid = getInputParam("uid", "Test");
	$langId = getInputParam("langId");

    $Test = new SelfTest('Community Video Chat');
    $Test->CheckFiles(array("videochat/languages/help_content.en.xml", "videochat/languages/lang.en.xml",
	    "videochat/server/php/handlers.php", "videochat/server/php/videochat.php",
	    "videochat/settings/main.xml", "videochat/settings/menu.xml",
	    "videochat/settings/plugins.xml", 
	    "videochat/sounds/new.mp3", "videochat/sounds/personal.mp3",
	    "videochat/sounds/join.mp3", "videochat/sounds/system.mp3",
	    "videochat/videochat.swf"));
    $Test->Output();
	?>
	<div class="center">
	<table border="0" align="center" cellpadding="5" cellspacing="0">
		<tr align="center">
			<td style="background-color:#FFFFFF" align="center">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test Community Video Chat (pop up mode)"
							onClick="javascript:openVideochatWindow('<?php echo $roomId; ?>', '<?php echo $uid; ?>', '<?php echo $langId; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr align="center">
			<td style="background-color:#FFFFFF" align="center">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test Community Video Chat (fullscreen mode)"
							onClick="javascript:openVideochatFullscreen('<?php echo $roomId; ?>', '<?php echo $uid; ?>', '<?php echo $langId; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr align="center">
			<td style="background-color:#FFFFFF" align="center">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button2" value="Test Community Video Chat (embedded mode)" 
							onClick="javascript:location.href='./test.php?action=videochatEmbedded';"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>

	<?php
}
function showVideochatEmbedded()
{
    renderApplication("videochat", array(
        "roomId" => getInputParam("roomId"),
        "uid" => getInputParam("uid", "Test"),
        "langId" => getInputParam("langId")));
}

//// Chat ////
function showChat()
{
    $roomId = getInputParam("roomId");
    $uid = getInputParam("uid", "Test");
	$langId = getInputParam("langId");

    $Test = new SelfTest('Community Chat');
    $Test->CheckDBConnection();
    $Test->CheckTables(array(TBL_CHAT_ROOM, TBL_CHAT_CLIENT, TBL_CHAT_MESSAGE, TBL_CHAT_ADMIN, TBL_CHAT_BAN));
    $Test->CheckFiles(array("chat/languages/help_content.en.xml", "chat/languages/lang.en.xml",
	    "chat/server/php/handlers.php", "chat/server/php/chat.php",
	    "chat/settings/main.xml", "chat/settings/menu.xml",
	    "chat/settings/plugins.xml", "chat/skins/main.swf",
	    "chat/sounds/message_receive.mp3", "chat/sounds/message_personal.mp3",
	    "chat/sounds/message_join_left.mp3", "chat/sounds/system.mp3",
	    "chat/chat.swf"));
    $Test->Output();
    ?>
    <div class="center">
	<table border="0" align="center" cellpadding="5" cellspacing="0">
		<tr>
			<td style="background-color:#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test Community Chat in pop up mode"
							onClick="javascript:openChatWindow('<?php echo $roomId; ?>', '<?php echo $uid; ?>', '<?php echo $langId; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="background-color:#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test Community Chat in embedded mode" 
							onClick="javascript:location.href='./test.php?action=chatEmbedded';"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
       
	</table>
    </div>
    <?php
}
function showChatEmbedded()
{
    renderApplication("chat", array(
        "roomId" => getInputParam("roomId"),
        "uid" => getInputParam("uid", "Test"),
		"langId" => getInputParam("langId")));
}

//// Communicator ////
function showCommunicator()
{
	$langId = getInputParam("langId");

    $Test = new SelfTest('Community Messenger (video mode)');
    $Test->CheckDBConnection();
    $Test->CheckTables(array(TBL_USERS_ONLINE));
	$Test->CheckFiles($files = array("communicator/languages/lang.en.xml", 
	"communicator/server/php/handlers.php", "communicator/server/php/communicator.php",
    "communicator/server/php/communicator.server.php", "communicator/settings/filters.xml",
    "communicator/settings/main.xml",
    "communicator/sounds/join.mp3", "communicator/sounds/new.mp3",
    "communicator/sounds/personal.mp3", "communicator/sounds/system.mp3",
    "communicator/communicator.swf"));
    $Test->Output();
    ?>
    <div class="center">
	<table border="0" align="center" cellpadding="5" cellspacing="0">
		<tr>
			<td style="background-color:#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test User1 - User2"
							onClick="javascript:openCommunicatorWindow('User2', 'User1', '<?php echo $langId; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="background-color:#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test User2 - User1" 
							onClick="javascript:openCommunicatorWindow('User1', 'User2', '<?php echo $langId; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
    </div>
    <div id="updater_1" style="width:1px; height:1px">
    <p><strong>Flashcoms</strong></p>
    <?php echo showUpgradePlayerMessage(8); ?>
    </div>
    <script type="text/javascript">
        // <![CDATA[
        var so = new SWFObject("<?php echo FLASHCOMS_HTTP_ROOT; ?>updater/updater.swf", "Updater", "1", "1", "8", "#ffffff");
        so.addVariable("uid", "User1");
        so.addVariable("userName", "User1");
        so.write("updater_1");
        // ]]>
    </script>        
    <div id="updater_2" style="width:1px; height:1px">
    <p><strong>Flashcoms</strong></p>
    <?php echo showUpgradePlayerMessage(8); ?>
    </div>
    <script type="text/javascript">
        // <![CDATA[
        var so = new SWFObject("<?php echo FLASHCOMS_HTTP_ROOT; ?>updater/updater.swf", "Updater", "1", "1", "8", "#ffffff");
        so.addVariable("uid", "User2");
        so.addVariable("userName", "User2");
        so.write("updater_2");
        // ]]>
    </script>   
	<a href="javascript:openGameRoomWindow('?turnTime=120&firstTurnBy=User1&gameType=chess&creatorLogin=User2&creatorGender=male&opponentLogin=User1&opponentGender=male&id=&iconId=&creatorId=&creatorPhoto=&opponentId=&opponentPhoto=&uid=User1', 'User1');">GameRoom - User1</a><br /><br />
	<a href="javascript:openGameRoomWindow('?opponentPhoto=&opponentId=&creatorPhoto=&creatorId=&iconId=&id=&opponentGender=male&opponentLogin=User1&creatorGender=male&creatorLogin=User2&gameType=chess&firstTurnBy=User1&turnTime=120&uid=User2', 'User2');">GameRoom - User2</a>

    <?php
}

//// Messenger ////
function showMessenger()
{
	$langId = getInputParam("langId");

    $Test = new SelfTest('Community Messenger (text only)');
    $Test->CheckDBConnection();
    $Test->CheckTables(array(TBL_MESSENGER_SESSIONS, TBL_MESSENGER_MESSAGES, TBL_USERS_ONLINE));

    $Test->CheckFiles(array("messenger/languages/lang.en.xml", "messenger/server/php/handlers.php",
    "messenger/server/php/messenger.php", "messenger/settings/filters.xml",
    "messenger/settings/main.xml",
    "messenger/sounds/join.mp3", "messenger/sounds/new.mp3",
    "messenger/sounds/personal.mp3", "messenger/sounds/system.mp3",
    "messenger/messenger.swf"));
    $Test->Output();
    ?>
    <div class="center">
	<table border="0" align="center" cellpadding="5" cellspacing="0">
		<tr>
			<td style="background-color:#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test User1 - User2"
							onClick="javascript:openMessengerWindow('User2', 'User1', '<?php echo $langId; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="background-color:#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test User2 - User1" 
							onClick="javascript:openMessengerWindow('User1', 'User2', '<?php echo $langId; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
    </div>
    <div id="updater_1" style="width:1px; height:1px">
    <p><strong>Flashcoms</strong></p>
    <?php echo showUpgradePlayerMessage(8); ?>
    </div>
    <script type="text/javascript">
        // <![CDATA[
        var so = new SWFObject("<?php echo FLASHCOMS_HTTP_ROOT; ?>updater/updater.swf", "Updater", "1", "1", "8", "#ffffff");
        so.addVariable("uid", "User1");
        so.addVariable("userName", "User1");
        so.write("updater_1");
        // ]]>
    </script>        
    <div id="updater_2" style="width:1px; height:1px">
    <p><strong>Flashcoms</strong></p>
    <?php echo showUpgradePlayerMessage(8); ?>
    </div>
    <script type="text/javascript">
        // <![CDATA[
        var so = new SWFObject("<?php echo FLASHCOMS_HTTP_ROOT; ?>updater/updater.swf", "Updater", "1", "1", "8", "#ffffff");
        so.addVariable("uid", "User2");
        so.addVariable("userName", "User2");
        so.write("updater_2");
        // ]]>
    </script>   
    <?php
}

//// Recorder ////
function showRecorder()
{
    $userName = getInputParam("userName", "Test");

    $Test = new SelfTest('Media Recorder');
    $Test->CheckDBConnection();
    $Test->CheckTables(array(TBL_RECORDER_RECORDS));
    $Test->Output();
    ?>
    <div class="center">
	<table border="0" align="center" cellpadding="5" cellspacing="0">
		<tr>
			<td style="background-color:#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button1" value="Test Media Recorder"
							onClick="javascript:openRecorderWindow('<?php echo $userName; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="background-color:#FFFFFF">
				<table border="0" align="center" cellpadding="0" cellspacing="0">
					<tr>
						<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
						<td align="center"><input type="button" name="Button2" value="Test Media Player"
							onClick="javascript:openPlayerWindow('<?php echo $userName; ?>');"></td>
						<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
    </div>
    <?php
}

//// Site Mail ////
function showSiteMail()
{
    $Test = new SelfTest('Site Mail');

    $Test->CheckFiles(array("site_mail/languages/lang.en.xml", "site_mail/server/php/handlers.php",
	    "site_mail/server/php/site_mail.php", "site_mail/settings/filters.xml",
	    "site_mail/settings/main.xml", "site_mail/settings/menu.xml",
	    "site_mail/settings/plugins.xml", "site_mail/skins/main.swf",
	    "site_mail/site_mail.swf"));
    $Test->Output();

    if(isset($_GET["userName"]))
    {
        $uid = $_GET["userName"];
		?>
		<div class="center">
		<table border="0" align="center" cellpadding="5" cellspacing="0">
			<tr align="center">
				<td style="background-color:#FFFFFF" align="center">
					<table border="0" align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
							<td align="center"><input type="button" name="Button1" value="Test Site Mail (pop up mode)"
								onClick="javascript:openSiteMailWindow('<?php echo $uid; ?>');"></td>
							<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
						</tr>
					</table>
				</td>
			</tr>
			<tr align="center">
				<td style="background-color:#FFFFFF" align="center">
					<table border="0" align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td width="5px" style="background-image:url(common/images/submit_l.gif);background-repeat:no-repeat;"></td>
							<td align="center"><input type="button" name="Button1" value="Test Site Mail (embedded mode)" 
								onClick="javascript:location.href='./test.php?action=siteMailEmbedded';"></td>
							<td width="5px" style="background-image:url(common/images/submit_r.gif);background-repeat:no-repeat;"></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</div>
		<?php
    }
    else renderLoginForm("siteMail");
}
function showSiteMailEmbedded()
{
    renderApplication("site_mail", array("uid" => getInputParam("uid", "Test")));
}

//// Updater Demo ////
function showUpdaterDemo()
{
    if(isset($_GET["userName"]))
    {
    	$uid = $_GET["userName"];
        echo '<center><div style="padding-top:20px;">';
        renderApplication("updaterDemo", array("uid" => $uid), 430, 250);
        echo '<div/></center>';
    }
    else renderLoginForm("updaterDemo");
}

//// Minichat ////
function showMinichat()
{
        echo '<center><div style="padding-top:20px;">';
        renderApplication("minichat", array("title" => "", "roomId" => ''), 300, 400);
        echo '<div/></center>';
}

function showBroadcasting()
{
	echo '<center><div style="padding-top:20px;">';
    renderApplication("broadcasting", array("uid" => "testUid"), 400, 280);
    echo '<div/></center>';
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Flashcoms 6.0 - Test Page</title>
    <script language="javascript" src="<?php echo FLASHCOMS_HTTP_ROOT; ?>common/js/flashcoms.js"></script>
	<style>	
	body,td,th {
		margin: 0px;
		font-family: Verdana, Arial, Helvetica, sans-serif;	font-size: 11px;
		background-color: #F7FBFD;
	}
	a { 
		font-family: Verdana, Arial, Helvetica, sans-serif;	font-size: 10px;
		color:#336699; text-decoration: none; 
	}
	a:hover { text-decoration: underline; }

	ul { padding:0px; list-style-type:none; }
	li { padding:5px; }

	.navig { border-right:2px solid #7B7B7B; }
	.navig a { display:block; padding:5px; }
	
	.test_info { padding-top:70px; padding-bottom:20px;	}
	.full_size { width:100%; height:100%; }
	.center { text-align:center; }
	.debug_link { display:block; margin-top:100px; color:#F7FBFD; }

	input {
		color:#336699;
	 	border-width:0px; border-style:None;
		font-weight:bold;
		height:27px;
		background-repeat:repeat-x;	background-image:url(common/images/submit.gif);
		padding:0px 0px 2px 0px;
		text-align:center;
		vertical-align:middle;
		font-family: Verdana, Arial, Helvetica, sans-serif;	font-size: 10px;
	}
	input.text {
		color:#336699;
	 	border-width:0px; border-style:None;
		font-weight:bold;
		height:27px;
		background-repeat:repeat-x;	background-image:url(common/images/submit.gif);
		padding:7px 0px 2px 0px;
		text-align:center;
		vertical-align:middle;
		font-family: Verdana, Arial, Helvetica, sans-serif;	font-size: 10px;
	}	
	</style>
</head>
<body>
<table width="100%" height="100%" border="0" cellpadding="5" cellspacing="1">
	<tr>
		<td colspan="2" width="100%" height="50px" style="border-bottom:2px solid #7B7B7B;">
			<a href="http://www.flashcoms.com"><img src="common/images/logo.gif" hspace="34" vspace="15" border="0" 
			alt="FlashComs - The new feel of communication" title="FlashComs - The new feel of communication"/></a>
		</td>
	</tr>
	<tr valign="top">
		<td width="12%" valign="top" nowrap class="navig">
			<?php if(@file_exists("videochat/videochat.swf")) { ?>
			<a href="?action=videochat">Community Video Chat</a>
			<?php } if(@file_exists("chat/chat.swf")) { ?>
			<a href="?action=chat">Community Chat</a>
			<?php } if(@file_exists("communicator/communicator.swf")) { ?>
			<a href="?action=communicator">Community Messenger (video mode)</a>
			<?php } if(@file_exists("messenger/messenger.swf")) { ?>
			<a href="?action=messenger">Community Messenger (text only)</a>
			<?php } if(@file_exists("recorder/recorder.swf")) { ?>
			<a href="?action=recorder">Media Recorder</a>
			<?php } if(@file_exists("site_mail/site_mail.swf")) { ?>
			<a href="?action=siteMail">Site Mail</a>
			<?php } if(@file_exists("updaterDemo/updaterDemo.swf")) { ?>
			<a href="?action=updaterDemo">Updater Demo</a>
			<?php } if(@file_exists("minichat/minichat.swf")) { ?>
			<a href="?action=minichat">Minichat</a>
			<?php } if(@file_exists("broadcasting/broadcasting.swf")) { ?>
			<a href="?action=broadcasting">Broadcasting</a>
			<?php } ?>
			
			<a href="<?php echo FLASHCOMS_HTTP_ROOT; ?>common/debug/debug.swf" target="_blank" class="debug_link">debug console</a>
		
		</td>
		<td style="background-color:#ffffff;"><?php RenderPage();?></td>
	</tr>
</table>
</body>
</html>
